<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>

<meta charset="utf-8" />
<title>Creazione registro Professore</title>
</head>
<body>
<div align="center" th:if="${errorMessageRegisterAlreadyExists}">
    <div th:text="${errorMessageRegisterAlreadyExists}"></div>
</div>
  
    <div align="center" >
        <br />
        
    
 <h1>Creazione registro professore</h1>

      <form action="#" th:action="@{/creaRegistroProfessore}" th:object="${materia}"  method="post">
		<table th:object="${classe_scelta}">
            <tr>
                <td>Seleziona una classe:</td>
                <td>
                    <select th:field="*{idClasse}">
                         <option value=""> -- </option>
                         <option th:each="classe : ${classi}"
                            th:value="${classe.idClasse}"
                            th:utext="${classe.nomeClasse}"/>
                  </select>
 
                </td>
            </tr>
        </table>
        
        <table th:object="${materia_scelta}">
            <tr>
                <td>Seleziona una materia:</td>
                <td>
                    <select th:field="*{idMateria}">
                         <option value=""> -- </option>
                         <option th:each="materia : ${materie}"
                            th:value="${materia.idMateria}"
                            th:utext="${materia.nomeMateria}"/>
                  </select>
 
                </td>
            </tr>
            
        </table>
	    
	    
	    <p><input type="submit" value="Aggiungi" /></p>
        
    </form>
    
    
</body>
</html>